# Get options for a custom field. Endpoint: POST /v3/companies/{companyId}/custom-fields/{customFieldId}/arms/{armId}/option-list Version: v3 Security: Bearer ## Path parameters: - `companyId` (string, required) Identifier for company. Example: "4974a66b-7493-4f41-908c-58ba81093947" - `customFieldId` (string, required) Identifier for custom field. Example: "4974a66b-7493-4f41-908c-58ba81093947" - `armId` (string, required) Identifier for arm. Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Request fields (application/json): - `paginationParams` (object, required) Pagination parameters for requests. - `paginationParams.offset` (integer) The starting index in the list from which results are returned. The value must be greater than or equal to 0. - `paginationParams.limit` (integer) Maximum number of results to be fetched. - `nameSearchText` (string) Only the option that contain the specified text in name will be returned. - `fetchEffectiveAdditionalInfos` (boolean, required) Indicates whether the additional infos should be fetched for each option from arm level if individual option does not have definition of additional infos. ## Response 200 fields (application/json): - `paginationParams` (object, required) Pagination parameters for response. - `paginationParams.totalNumResults` (integer, required) Total number of results. - `options` (array) - `options.name` (string, required) Unique name of the option Example: "XC" - `options.description` (string) User understandable details for the given name Example: "Air exchange code" - `options.additionalInfos` (array) Option level additional infos. - `options.translatedName` (string) Translated name of the option, matching the users preferred language Example: "XC" - `options.translatedDescription` (string) Translated description of the option, matching the users preferred language Example: "Código de intercambio de aire" ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.